### Hierarchy

- LayoutRenderer<HorizontalLayout>
  - HorizontalLayoutRenderer

### Implements

- OnInit
- OnDestroy

## Index

### Constructors

- constructor

### Properties

- hidden
- path
- schema
- uischema

### Accessors

- renderProps

### Methods

- getOwnProps
- ngOnDestroy
- ngOnInit
- trackElement

## Constructors

### constructor

- new HorizontalLayoutRenderer(ngRedux: NgRedux<JsonFormsState>): HorizontalLayoutRenderer

- Overrides LayoutRenderer.constructor

  - Defined in layouts/horizontal-layout.renderer.ts:51

  #### Parameters

  - ##### ngRedux: NgRedux<JsonFormsState>

  #### Returns HorizontalLayoutRenderer

## Properties

### hidden

hidden: boolean

Inherited from LayoutRenderer.hidden

- Defined in layouts/layout.renderer.ts:39

### path

path: string

Inherited from JsonFormsBaseRenderer.path

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:5

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:4

### uischema

uischema: HorizontalLayout

Inherited from JsonFormsBaseRenderer.uischema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:3

## Accessors

### renderProps

- get renderProps(): OwnPropsOfRenderer[]

- Inherited from LayoutRenderer.renderProps

  - Defined in layouts/layout.renderer.ts:61

  #### Returns OwnPropsOfRenderer[]

## Methods

### Protected getOwnProps

- getOwnProps(): OwnPropsOfRenderer

- Inherited from JsonFormsBaseRenderer.getOwnProps

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:6

  #### Returns OwnPropsOfRenderer

### ngOnDestroy

- ngOnDestroy(): void

- Inherited from LayoutRenderer.ngOnDestroy

  - Defined in layouts/layout.renderer.ts:55

  #### Returns void

### ngOnInit

- ngOnInit(): void

- Inherited from LayoutRenderer.ngOnInit

  - Defined in layouts/layout.renderer.ts:46

  #### Returns void

### trackElement

- trackElement(_index: number, renderProp: OwnPropsOfRenderer): string

- Inherited from LayoutRenderer.trackElement

  - Defined in layouts/layout.renderer.ts:72

  #### Parameters

  - ##### _index: number

  - ##### renderProp: OwnPropsOfRenderer

  #### Returns string

Generated using TypeDoc